This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 581182 - sbcl- 1.0.30+ fails to build on sparc
sbcl- 1.0.30+ fails to build on sparc
Status: NEW
Product: Fedora
Classification: Fedora
Component: sbcl (Show other bugs)
rawhide
sparc Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature, Regression
Depends On:
Blocks: F-ExcludeArch-SPARC
  Show dependency treegraph
 
Reported: 2010-04-10 17:29 EDT by Rex Dieter
Modified: 2010-09-24 09:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 559253 None None None Never

  None (edit)
Description Rex Dieter 2010-04-10 17:29:16 EDT
The last version I've been able to get to build on fedora/sparc is 1.0.29,
all later versions fail to build.

Examples of failed build.logs:

1.0.30 :
http://sparc.koji.fedoraproject.org/koji/getfile?taskID=328565&name=build.log

this one isn't so clear, but ...

1.0.37:
http://sparc.koji.fedoraproject.org/koji/getfile?taskID=328561&name=build.log

This one fails in sb-rotate-byte.lisp somewhere it seems:

; loading system definition from
; /builddir/build/BUILD/sbcl-1.0.37/contrib/sb-rotate-byte/sb-rotate-
byte.asd
; into #<PACKAGE "ASDF0">
; registering #<SYSTEM SB-ROTATE-BYTE {30BC8B71}> as SB-ROTATE-BYTE
unhandled SB-INT:BUG:
    bogus INFO for #<FUNCTION # {1100C445}>: #<
                                               unknown pointer object,
widetag=#x49
                                               {406C2F87}>
  This is probably a bug in SBCL itself. (Alternatively, SBCL might have
been
  corrupted by bad user code, e.g. by an undefined Lisp operation like
  (FMAKUNBOUND 'COMPILE), or by stray pointers from alien code or from
unsafe
  Lisp code; or there might be a bug in the OS or hardware that SBCL is
running
  on.) If it seems to be a bug in SBCL itself, the maintainers would like to
  know about it. Bug reports are welcome on the SBCL mailing lists, which
you
  can find at <http://sbcl.sourceforge.net/>.
0: (SB-DEBUG::MAP-BACKTRACE #<CLOSURE (LAMBDA #) {40C3905D}>)[:EXTERNAL]
1: (BACKTRACE 128 #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {28055F21}>)
2: (SB-DEBUG::DEBUGGER-DISABLED-HOOK
    #<SB-INT:BUG {40C33BF9}>
    #<unavailable argument>)
3: (SB-DEBUG::RUN-HOOK INVOKE-DEBUGGER-HOOK #<SB-INT:BUG {40C33BF9}>)
4: (INVOKE-DEBUGGER #<SB-INT:BUG {40C33BF9}>)
5: (ERROR SB-INT:BUG)[:EXTERNAL]
6: (SB-INT:BUG "bogus INFO for ~S: ~S")[:EXTERNAL]
7: (SB-KERNEL:%SIMPLE-FUN-DOC #<FUNCTION (LAMBDA #) {1100C445}>)
8: (SB-TEXINFO::MAYBE-DOCUMENTATION ECHO-STREAM-INPUT-STREAM FUNCTION)
9: (SB-TEXINFO::COLLECT-NAME-DOCUMENTATION ECHO-STREAM-INPUT-STREAM)
10: (SB-TEXINFO::COLLECT-SYMBOL-DOCUMENTATION ECHO-STREAM-INPUT-STREAM)
11: (SB-TEXINFO::COLLECT-DOCUMENTATION #<unavailable argument>)
12: (SB-TEXINFO:GENERATE-INCLUDES
     "docstrings/"
     :COMMON-LISP
     :SB-ALIEN
     :SB-DEBUG
     :SB-EXT
     :SB-GRAY
     :SB-MOP
     :SB-PROFILE
     :SB-THREAD
     :SB-MD5
     :SB-QUEUE
     :SB-ROTATE-BYTE
     :SB-SPROF
     :SB-BSD-SOCKETS
     :SB-COVER
     :SB-POSIX)
13: (SB-INT:SIMPLE-EVAL-IN-LEXENV
     (SB-TEXINFO:GENERATE-INCLUDES "docstrings/" :COMMON-LISP :SB-ALIEN
                                   :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP
                                   :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE
                                   :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS
                                   :SB-COVER :SB-POSIX)
     #<NULL-LEXENV>)
14: (INTERACTIVE-EVAL
     (SB-TEXINFO:GENERATE-INCLUDES "docstrings/" :COMMON-LISP :SB-ALIEN
                                   :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP
                                   :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE
                                   :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS
                                   :SB-COVER :SB-POSIX))[:EXTERNAL]
15: (SB-IMPL::REPL-FUN T)
16: ((LAMBDA ()))
17: (SB-IMPL::%WITH-REBOUND-IO-SYNTAX #<CLOSURE (LAMBDA #) {400003A5}>)
18: (SB-IMPL::TOPLEVEL-REPL T)
19: (SB-IMPL::TOPLEVEL-INIT)
/creating package-locks.texi-temp
20: ((LABELS SB-IMPL::RESTART-LISP))
Comment 1 Tom "spot" Callaway 2010-04-12 09:33:23 EDT
It looks like some sparc asm needs to be written to handle the byte rotation functions on sparc. Since I know neither lisp nor sparc asm, this will not be fixed by me anytime soon.
Comment 2 Rex Dieter 2010-04-12 10:35:24 EDT
no worries, upstream has been poked.
Comment 3 Rex Dieter 2010-04-12 10:54:57 EDT
I'll try to workaround it for now, by omitting the new contrib/sb-rotate-byte from the sparc build (since it's so new, I doubt many folks use this one much yet).
Comment 4 Rex Dieter 2010-04-12 13:48:02 EDT
Ah, if it were only that easy...

; compiling file "/builddir/build/BUILD/sbcl-1.0.35/src/code/gc.lisp" (written 20 NOV 2009 09:30:06 PM):
; compiling (IN-PACKAGE "SB!KERNEL")
; compiling (DECLAIM (INLINE CURRENT-DYNAMIC-SPACE-START))
; compiling (DEF-C-VAR-FUN CURRENT-DYNAMIC-SPACE-START ...)
; compiling (DECLAIM (INLINE DYNAMIC-USAGE))
; compiling (DEFUN DYNAMIC-USAGE ...)
; compiling (DEFUN STATIC-SPACE-USAGE ...)
; compiling (DEFUN READ-ONLY-SPACE-USAGE ...)
; compiling (DEFUN CONTROL-STACK-USAGE ...)
; compiling (DEFUN BINDING-STACK-USAGE ...)
; compiling (DEFUN ROOM-MINIMAL-INFO ...)
; compiling (DEFUN ROOM-INTERMEDIATE-INFO ...)
; compiling (DEFUN ROOM-MAXIMAL-INFO ...)
; compiling (DEFUN ROOM ...)
; compiling (DECLAIM (TYPE UNSIGNED-BYTE ...))
; compiling (DEFVAR *N-BYTES-FREED-OR-PURIFIED* ...)
; compiling (DEFUN GC-REINIT ...)
; compiling (DECLAIM (FTYPE # ...))
; compiling (DEFUN GET-BYTES-CONSED ...)
; compiling (DEFVAR *AFTER-GC-HOOKS* ...)
; compiling (DEFINE-ALIEN-ROUTINE COLLECT-GARBAGE ...)
; compiling (DEFUN GC-STOP-THE-WORLD ...)
; compiling (DEFUN GC-START-THE-WORLD ...)
; compiling (DEFVAR *ALREADY-IN-GC* ...)
; compiling (DECLAIM (TYPE CONS ...))
; compiling (DEFVAR *GC-EPOCH* ...)
; compiling (DEFUN SUB-GC ...)
; compiling (DEFUN POST-GC ...)
; compiling (DEFUN GC ...)
; compiling (DEFINE-ALIEN-ROUTINE SCRUB-CONTROL-STACK ...)
; compiling (DEFUN UNSAFE-CLEAR-ROOTS ...)
; compiling (DEFUN BYTES-CONSED-BETWEEN-GCS ...)
; compiling (DEFUN (SETF BYTES-CONSED-BETWEEN-GCS) ...)
; compiling (DECLAIM (INLINE MAYBE-HANDLE-PENDING-GC))
; compiling (DEFUN MAYBE-HANDLE-PENDING-GC ...)
; file: /builddir/build/BUILD/sbcl-1.0.35/src/code/gc.lisp
; in:
;      MACROLET ((DEF (SLOT DOC &OPTIONAL SETFP) (DECLARE (IGNORABLE DOC))
;             (SB!IMPL::BACKQ-LIST* 'PROGN
;                                   (SB!IMPL::BACKQ-LIST 'DEFUN # '# DOC ...)
;                                   (WHEN SETFP #))))
;     (MACROLET ((SB!KERNEL::DEF
;                    (SB!ALIEN:SLOT SB!KERNEL::DOC &OPTIONAL SB!KERNEL::SETFP)
;                  (DECLARE (IGNORABLE SB!KERNEL::DOC))
;                  (SB!IMPL::BACKQ-LIST* 'PROGN
;                                        (SB!IMPL::BACKQ-LIST 'DEFUN # '#
;                                                             SB!KERNEL::DOC '# '#
;                                                             #)
;                                        (WHEN SB!KERNEL::SETFP #))))
;       (SB!KERNEL::DEF SB!EXT:BYTES-CONSED-BETWEEN-GCS
;        "Number of bytes that can be allocated to GENERATION before that
;   generation is considered for garbage collection. This value is meaningless for
;   generation 0 (the nursery): see BYTES-CONSED-BETWEEN-GCS instead. Default is
;   20Mb. Can be assigned to using SETF. Available on GENCGC platforms only.
;   
;   Experimental: interface subject to change."
;        T)
;       (SB!KERNEL::DEF SB!KERNEL::MINIMUM-AGE-BEFORE-GC
;        "Minimum average age of objects allocated to GENERATION before that
;   generation is may be garbage collected. Default is 0.75. See also
;   GENERATION-AVERAGE-AGE. Can be assigned to using SETF. Available on GENCGC
;   platforms only.
;   
;   Experimental: interface subject to change."
;        T)
;       (SB!KERNEL::DEF SB!KERNEL::NUMBER-OF-GCS-BEFORE-PROMOTION
;        "Number of times garbage collection is done on GENERATION before
;   automatic promotion to the next generation is triggered. Can be assigned to
;   using SETF. Available on GENCGC platforms only.
;   
;   Experimental: interface subject to change."
;        T)
;       (SB!KERNEL::DEF SB!KERNEL::BYTES-ALLOCATED
;        "Number of bytes allocated to GENERATION currently. Available on GENCGC
; compiling (DEF BYTES-CONSED-BETWEEN-GCS ...)
; compiling (DEF MINIMUM-AGE-BEFORE-GC ...)
; compiling (DEF NUMBER-OF-GCS-BEFORE-PROMOTION ...);   platforms only.
;   
;   Experimental: interface subject to change.")
;       (SB!KERNEL::DEF SB!KERNEL::NUMBER-OF-GCS
;        "Number of times garbage collection has been done on GENERATION without
;   promotion. Available on GENCGC platforms only.
;   
;   Experimental: interface subject to change."))
; 
; caught WARNING:
;   undefined variable: NAME
; file: /builddir/build/BUILD/sbcl-1.0.35/src/code/gc.lisp
; in: DEF BYTES-CONSED-BETWEEN-GCS
;     (SB!KERNEL::DEF SB!EXT:BYTES-CONSED-BETWEEN-GCS
;      "Number of bytes that can be allocated to GENERATION before that
;   generation is considered for garbage collection. This value is meaningless for
;   generation 0 (the nursery): see BYTES-CONSED-BETWEEN-GCS instead. Default is
;   20Mb. Can be assigned to using SETF. Available on GENCGC platforms only.
;   
;   Experimental: interface subject to change."
;      T)
; 
; caught ERROR:
;   (during macroexpansion of (DEF BYTES-CONSED-BETWEEN-GCS ...))
;   The variable NAME is unbound.
; file: /builddir/build/BUILD/sbcl-1.0.35/src/code/gc.lisp
; in: DEF MINIMUM-AGE-BEFORE-GC
;     (SB!KERNEL::DEF SB!KERNEL::MINIMUM-AGE-BEFORE-GC
;      "Minimum average age of objects allocated to GENERATION before that
;   generation is may be garbage collected. Default is 0.75. See also
;   GENERATION-AVERAGE-AGE. Can be assigned to using SETF. Available on GENCGC
;   platforms only.
;   
;   Experimental: interface subject to change."
;      T)
; 
; caught ERROR:
;   (during macroexpansion of (DEF MINIMUM-AGE-BEFORE-GC ...))
;   The variable NAME is unbound.
; file: /builddir/build/BUILD/sbcl-1.0.35/src/code/gc.lisp
; in: DEF NUMBER-OF-GCS-BEFORE-PROMOTION
;     (SB!KERNEL::DEF SB!KERNEL::NUMBER-OF-GCS-BEFORE-PROMOTION
;      "Number of times garbage collection is done on GENERATION before
;   automatic promotion to the next generation is triggered. Can be assigned to
;   using SETF. Available on GENCGC platforms only.
;   
;   Experimental: interface subject to change."
;      T)
; 
; caught ERROR:
;   (during macroexpansion of (DEF NUMBER-OF-GCS-BEFORE-PROMOTION ...))
;   The variable NAME is unbound.
; compiling (DEF BYTES-ALLOCATED ...)
; compiling (DEF NUMBER-OF-GCS ...)
; compiling (DEFUN GENERATION-AVERAGE-AGE ...)
; file: /builddir/build/BUILD/sbcl-1.0.35/src/code/gc.lisp
; in: DEF BYTES-ALLOCATED
;     (SB!KERNEL::DEF SB!KERNEL::BYTES-ALLOCATED
;      "Number of bytes allocated to GENERATION currently. Available on GENCGC
;   platforms only.
;   
;   Experimental: interface subject to change.")
; 
; caught ERROR:
;   (during macroexpansion of (DEF BYTES-ALLOCATED ...))
;   The variable NAME is unbound.
; file: /builddir/build/BUILD/sbcl-1.0.35/src/code/gc.lisp
; in: DEF NUMBER-OF-GCS
;     (SB!KERNEL::DEF SB!KERNEL::NUMBER-OF-GCS
;      "Number of times garbage collection has been done on GENERATION without
;   promotion. Available on GENCGC platforms only.
;   
;   Experimental: interface subject to change.")
; 
; caught ERROR:
;   (during macroexpansion of (DEF NUMBER-OF-GCS ...))
;   The variable NAME is unbound.
; file: /builddir/build/BUILD/sbcl-1.0.35/src/code/gc.lisp
; in: DEFUN GENERATION-AVERAGE-AGE
;     (SB!KERNEL::GENERATION-INDEX SB!KERNEL::GENERATION)
; 
; caught WARNING:
;   unrecognized declaration (GENERATION-INDEX GENERATION)
; /builddir/build/BUILD/sbcl-1.0.35/obj/from-xc/src/code/gc.lisp-obj-tmp written
; compilation finished in 0:00:01.675
; in: DEFUN BINDING-STACK-USAGE
;     (SB!DI::DESCRIPTOR-SAP SB!VM:*BINDING-STACK-START*)
; 
; caught STYLE-WARNING:
;   undefined function: SB!DI::DESCRIPTOR-SAP
; in: DEFUN CONTROL-STACK-USAGE
;     (SB!DI::DESCRIPTOR-SAP SB!VM:*CONTROL-STACK-START*)
; 
; caught STYLE-WARNING:
;   undefined function: SB!DI::DESCRIPTOR-SAP
; 
; compilation unit finished
;   Undefined function:
;     SB!DI::DESCRIPTOR-SAP
;   caught 5 ERROR conditions
;   caught 2 WARNING conditions
;   caught 2 STYLE-WARNING conditions
unhandled SIMPLE-ERROR:
  FAILURE-P was set when creating "obj/from-xc/src/code/gc.lisp-obj".
0: (SB-DEBUG::MAP-BACKTRACE #<CLOSURE (LAMBDA #) {40BD335D}>)[:EXTERNAL]
1: (SB-DEBUG:BACKTRACE 128 #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {28041909}>)
2: (SB-DEBUG::DEBUGGER-DISABLED-HOOK
    #<SIMPLE-ERROR {40BCF0F1}>
    #<unavailable argument>)
3: (INVOKE-DEBUGGER #<SIMPLE-ERROR {40BCF0F1}>)
4: (ERROR #<SIMPLE-ERROR {40BCF0F1}>)[:EXTERNAL]
5: (COMPILE-STEM "src/code/gc" (:NOT-HOST) :TARGET-COMPILE)
6: (IN-TARGET-CROSS-COMPILATION-MODE #<CLOSURE (LAMBDA #) {400019C5}>)
7: ((LAMBDA ()))
8: (SB-INT:SIMPLE-EVAL-IN-LEXENV
    (LET ((REVERSED-TARGET-OBJECT-FILE-NAMES NIL))
      (DO-STEMS-AND-FLAGS (STEM FLAGS)
                          (UNLESS (POSITION :NOT-TARGET FLAGS)
                            (PUSH # REVERSED-TARGET-OBJECT-FILE-NAMES)))
      (SETF *TARGET-OBJECT-FILE-NAMES*
              (NREVERSE REVERSED-TARGET-OBJECT-FILE-NAMES)))
    #<NULL-LEXENV>)
9: (SB-FASL::LOAD-AS-SOURCE
    #<SB-SYS:FD-STREAM for "file /builddir/build/BUILD/sbcl-1.0.35/src/cold/compile-cold-sbcl.lisp" {40000A59}>
    NIL
    NIL)
10: ((FLET SB-FASL::LOAD-STREAM)
     #<SB-SYS:FD-STREAM for "file /builddir/build/BUILD/sbcl-1.0.35/src/cold/compile-cold-sbcl.lisp" {40000A59}>)
11: (LOAD "src/cold/compile-cold-sbcl.lisp")[:EXTERNAL]
12: (SB-INT:SIMPLE-EVAL-IN-LEXENV
     (LOAD "src/cold/compile-cold-sbcl.lisp")
     #<NULL-LEXENV>)
13: (SB-EXT:INTERACTIVE-EVAL (LOAD "src/cold/compile-cold-sbcl.lisp"))[:EXTERNAL]
14: (SB-IMPL::REPL-FUN NIL)
15: ((LAMBDA ()))
16: (SB-IMPL::%WITH-REBOUND-IO-SYNTAX #<CLOSURE (LAMBDA #) {127235D5}>)
17: (SB-IMPL::TOPLEVEL-REPL NIL)
18: (SB-IMPL::TOPLEVEL-INIT)
19: ((LABELS SB-IMPL::RESTART-LISP))
deleted #P"/builddir/build/BUILD/sbcl-1.0.35/obj/from-xc/src/code/gc.lisp-obj-tmp"
RPM build errors:
unhandled condition in --disable-debugger mode, quitting
error: Bad exit status from /var/tmp/rpm-tmp.8LdgLg (%build)
    Bad exit status from /var/tmp/rpm-tmp.8LdgLg (%build)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target sparcv9 --nodeps builddir/build/SPECS/sbcl.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mock/util.py", line 335, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target sparcv9 --nodeps builddir/build/SPECS/sbcl.spec']
LEAVE do --> EXCEPTION RAISED
Comment 5 Bug Zapper 2010-07-30 07:17:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Rex Dieter 2010-09-24 09:09:21 EDT
Progress?  trying to build sbcl-1.0.38-2 , now it's failing in sb-concurrent somewhere,

; /builddir/build/BUILD/sbcl-1.0.38/contrib/sb-concurrency/sb-concurrency.asd
; into #<PACKAGE "ASDF0">
; registering #<SYSTEM :SB-CONCURRENCY {405D65A9}> as SB-CONCURRENCY
; registering #<SYSTEM :SB-CONCURRENCY-TESTS {4070B6D1}> as SB-CONCURRENCY-TESTS
unhandled SB-INT:BUG:
    bogus INFO for #<FUNCTION #
                     {1100F205}>: #<unknown pointer object, widetag=#x39
                                    {4089D197}>
  This is probably a bug in SBCL itself. (Alternatively, SBCL might have been
  corrupted by bad user code, e.g. by an undefined Lisp operation like
  (FMAKUNBOUND 'COMPILE), or by stray pointers from alien code or from unsafe
  Lisp code; or there might be a bug in the OS or hardware that SBCL is running
  on.) If it seems to be a bug in SBCL itself, the maintainers would like to
  know about it. Bug reports are welcome on the SBCL mailing lists, which you
  can find at <http://sbcl.sourceforge.net/>.
0: (SB-DEBUG::MAP-BACKTRACE #<CLOSURE (LAMBDA #) {40E08D05}>)[:EXTERNAL]
1: (BACKTRACE 128 #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {28046D91}>)
2: (SB-DEBUG::DEBUGGER-DISABLED-HOOK
    #<SB-INT:BUG "bogus INFO for ~S: ~S" {40E03B79}>
    #<unavailable argument>)
3: (SB-DEBUG::RUN-HOOK
    *INVOKE-DEBUGGER-HOOK*
    #<SB-INT:BUG "bogus INFO for ~S: ~S" {40E03B79}>)
4: (INVOKE-DEBUGGER #<SB-INT:BUG "bogus INFO for ~S: ~S" {40E03B79}>)
5: (ERROR SB-INT:BUG)[:EXTERNAL]
6: (SB-INT:BUG "bogus INFO for ~S: ~S")[:EXTERNAL]
7: (SB-KERNEL:%SIMPLE-FUN-DOC #<FUNCTION (LAMBDA #) {1100F205}>)
8: (SB-TEXINFO::MAYBE-DOCUMENTATION ECHO-STREAM-INPUT-STREAM FUNCTION)
9: (SB-TEXINFO::COLLECT-NAME-DOCUMENTATION ECHO-STREAM-INPUT-STREAM)
10: (SB-TEXINFO::COLLECT-SYMBOL-DOCUMENTATION ECHO-STREAM-INPUT-STREAM)
11: (SB-TEXINFO::COLLECT-DOCUMENTATION #<unavailable argument>)
12: (SB-TEXINFO:GENERATE-INCLUDES
     "docstrings/"
     :COMMON-LISP
     :SB-ALIEN
     :SB-DEBUG
     :SB-EXT
     :SB-GRAY
     :SB-MOP
     :SB-PROFILE
     :SB-THREAD
     :SB-MD5
     :SB-QUEUE
     :SB-ROTATE-BYTE
     :SB-SPROF
     :SB-BSD-SOCKETS
     :SB-COVER
     :SB-POSIX
     :SB-CONCURRENCY)
/creating package-locks.texi-temp
13: (SB-INT:SIMPLE-EVAL-IN-LEXENV
     (SB-TEXINFO:GENERATE-INCLUDES "docstrings/" :COMMON-LISP :SB-ALIEN
                                   :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP
                                   :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE
                                   :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS
                                   :SB-COVER :SB-POSIX :SB-CONCURRENCY)
     #<NULL-LEXENV>)
14: (INTERACTIVE-EVAL
     (SB-TEXINFO:GENERATE-INCLUDES "docstrings/" :COMMON-LISP :SB-ALIEN
                                   :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP
                                   :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE
                                   :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS
                                   :SB-COVER :SB-POSIX :SB-CONCURRENCY))[:EXTERNAL]
15: (SB-IMPL::REPL-FUN T)
16: ((LAMBDA ()))
17: (SB-IMPL::%WITH-REBOUND-IO-SYNTAX #<CLOSURE (LAMBDA #) {4000027D}>)
18: (SB-IMPL::TOPLEVEL-REPL T)
19: (SB-IMPL::TOPLEVEL-INIT)
20: ((LABELS SB-IMPL::RESTART-LISP))
unhandled condition in --disable-debugger mode, quitting


build logs here,
http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=22545

Note You need to log in before you can comment on or make changes to this bug.